EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Assets_GetItems',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'AssetItems',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Returns all of the items in an asset directory.'
GO

IF OBJECT_ID('[Assets_GetItems]') IS NOT NULL DROP PROCEDURE [Assets_GetItems]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Assets_GetItems]
(
	@Feed_Id INT,
	@Recursive_Indicator YNINDICATOR = 'N'
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT *
	  FROM [AssetItems]
	 WHERE [Feed_Id] = @Feed_Id
	   AND (@Recursive_Indicator = 'Y' OR [Parent_AssetItem_Id] IS NULL)

END
GO

GRANT EXECUTE ON [Assets_GetItems] TO [ProGetUser_Role]