EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'BowerPackages_DeletePackage',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes a Bower package.'
GO

IF OBJECT_ID('[BowerPackages_DeletePackage]') IS NOT NULL DROP PROCEDURE [BowerPackages_DeletePackage]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [BowerPackages_DeletePackage]
(
	@Feed_Id INT,
	@Package_Name NVARCHAR(200)
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

	IF EXISTS(SELECT * FROM [BowerPackages] WITH (UPDLOCK) WHERE [Feed_Id] = @Feed_Id AND [Package_Name] = @Package_Name)
	BEGIN

		DELETE [BowerPackages]
		 WHERE [Feed_Id] = @Feed_Id
		   AND [Package_Name] = @Package_Name

   		EXEC [Events_RaiseEvent] 'PKGDEL', @Feed_Id, 'Package_Name', @Package_Name

	END

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH

END
GO

GRANT EXECUTE ON [BowerPackages_DeletePackage] TO [ProGetUser_Role]
GO